Code

Cleaned up pnp4nagios-bin.init.
authorSebastian Harl <sh@tokkee.org>
Thu, 3 Feb 2011 12:19:32 +0000 (13:19 +0100)
committerSebastian Harl <sh@tokkee.org>
Thu, 3 Feb 2011 12:19:32 +0000 (13:19 +0100)
debian/pnp4nagios-bin.init

index bfb111386416eb9fe342c1fcd8414025b9ed019a..92bdf7ea0e0a3619177ca4b6048c29456780ac22 100644 (file)
@@ -45,64 +45,62 @@ fi
 
 # Check if RUN is set to "yes" in /etc/defaults/pnp4nagios
 if [ "x$RUN" != "xyes" ] ; then
-#    log_failure_msg "$NAME disabled, please adjust the configuration to your needs "
-#    log_failure_msg "and then set RUN to 'yes' in /etc/default/$NAME to enable it."
-    exit 0
+       echo "$NAME has been disabled in /etc/default/pnp4nagios."
+       exit 0
 fi
 
 set -e
 
-running_pid() {
 # Check if a given process pid's cmdline matches a given name
-    pid=$1
-    name=$2
-    [ -z "$pid" ] && return 1
-    [ ! -d /proc/$pid ] &&  return 1
-    cmd=`cat /proc/$pid/cmdline | tr "\000" "\n"|head -n 1 |cut -d : -f 1`
-    # Is this the expected server
-    [ "$cmd" != "$name" ] &&  return 1
-    return 0
+running_pid() {
+       pid=$1
+       name=$2
+       [ -z "$pid" ] && return 1
+       [ ! -d /proc/$pid ] &&  return 1
+       cmd=`cat /proc/$pid/cmdline | tr "\000" "\n" | head -n 1 | cut -d : -f 1`
+       # Is this the expected server
+       [ "$cmd" != "$name" ] &&  return 1
+       return 0
 }
 
-running() {
 # Check if the process is running looking at /proc
 # (works for all users)
-
-    # No pidfile, probably no daemon present
-    [ ! -f "$PIDFILE" ] && return 1
-    pid=`cat $PIDFILE`
-    running_pid $pid $DAEMON || return 1
-    return 0
+running() {
+       # No pidfile, probably no daemon present
+       [ ! -f "$PIDFILE" ] && return 1
+       pid=`cat $PIDFILE`
+       running_pid $pid $DAEMON || return 1
+       return 0
 }
 
-start_server() {
 # Start the process using the wrapper
-        start_daemon -p $PIDFILE $DAEMON $DAEMON_OPTS
-        errcode=$?
-        return $errcode
+start_server() {
+       start_daemon -p $PIDFILE $DAEMON $DAEMON_OPTS
+       errcode=$?
+       return $errcode
 }
 
-stop_server() {
 # Stop the process using the wrapper
-        killproc -p $PIDFILE $DAEMON
-        errcode=$?
+stop_server() {
+       killproc -p $PIDFILE $DAEMON
+       errcode=$?
        return $errcode
 }
 
 reload_server() {
-    [ ! -f "$PIDFILE" ] && return 1
-    pid=pidofproc $PIDFILE # This is the daemon's pid
-    # Send a SIGHUP
-    kill -1 $pid
-    return $?
+       [ ! -f "$PIDFILE" ] && return 1
+       pid=pidofproc $PIDFILE # This is the daemon's pid
+       # Send a SIGHUP
+       kill -1 $pid
+       return $?
 }
 
-force_stop() {
 # Force the process to die killing it manually
+force_stop() {
        [ ! -e "$PIDFILE" ] && return
        if running ; then
                kill -15 $pid
-       # Is it really dead?
+               # Is it really dead?
                sleep "$DIETIME"s
                if running ; then
                        kill -9 $pid
@@ -116,116 +114,91 @@ force_stop() {
        rm -f $PIDFILE
 }
 
-
 case "$1" in
-  start)
-       log_daemon_msg "Starting $DESC " "$NAME"
-        # Check if it's running first
-        if running ;  then
-            log_progress_msg "apparently already running"
-            log_end_msg 0
-            exit 0
-        fi
-        if start_server ; then
-            # NOTE: Some servers might die some time after they start,
-            # this code will detect this issue if STARTTIME is set
-            # to a reasonable value
-            [ -n "$STARTTIME" ] && sleep $STARTTIME # Wait some time 
-            if  running ;  then
-                # It's ok, the server started and is running
-                log_end_msg 0
-            else
-                # It is not running after we did start
-                log_end_msg 1
-            fi
-        else
-            # Either we could not start it
-            log_end_msg 1
-        fi
-       ;;
-  stop)
-        log_daemon_msg "Stopping $DESC" "$NAME"
-        if running ; then
-            # Only stop the server if we see it running
+       start)
+               log_daemon_msg "Starting $DESC " "$NAME"
+               # Check if it's running first
+               if running ;  then
+                       log_progress_msg "apparently already running"
+                       log_end_msg 0
+                       exit 0
+               fi
+               if start_server ; then
+                       # NOTE: Some servers might die some time after they start,
+                       # this code will detect this issue if STARTTIME is set
+                       # to a reasonable value
+                       [ -n "$STARTTIME" ] && sleep $STARTTIME # Wait some time 
+                       if  running ;  then
+                               # It's ok, the server started and is running
+                               log_end_msg 0
+                       else
+                               # It is not running after we did start
+                               log_end_msg 1
+                       fi
+               else
+                       # Either we could not start it
+                       log_end_msg 1
+               fi
+               ;;
+       stop)
+               log_daemon_msg "Stopping $DESC" "$NAME"
+               if running ; then
+                       # Only stop the server if we see it running
                        errcode=0
-            stop_server || errcode=$?
-            log_end_msg $errcode
-        else
-            # If it's not running don't do anything
-            log_progress_msg "apparently not running"
-            log_end_msg 0
-            exit 0
-        fi
-        ;;
-  force-stop)
-        # First try to stop gracefully the program
-        $0 stop
-        if running; then
-            # If it's still running try to kill it more forcefully
-            log_daemon_msg "Stopping (force) $DESC" "$NAME"
+                       stop_server || errcode=$?
+                       log_end_msg $errcode
+               else
+                       # If it's not running don't do anything
+                       log_progress_msg "apparently not running"
+                       log_end_msg 0
+                       exit 0
+               fi
+               ;;
+       force-stop)
+               # First try to stop gracefully the program
+               $0 stop
+               if running; then
+                       # If it's still running try to kill it more forcefully
+                       log_daemon_msg "Stopping (force) $DESC" "$NAME"
                        errcode=0
-            force_stop || errcode=$?
-            log_end_msg $errcode
-        fi
-       ;;
-  restart|force-reload)
-        log_daemon_msg "Restarting $DESC" "$NAME"
+                       force_stop || errcode=$?
+                       log_end_msg $errcode
+               fi
+               ;;
+       restart|force-reload)
+               log_daemon_msg "Restarting $DESC" "$NAME"
                errcode=0
-        stop_server || errcode=$?
-        # Wait some sensible amount, some server need this
-        [ -n "$DIETIME" ] && sleep $DIETIME
-        start_server || errcode=$?
-        [ -n "$STARTTIME" ] && sleep $STARTTIME
-        running || errcode=$?
-        log_end_msg $errcode
-       ;;
-  status)
-
-        log_daemon_msg "Checking status of $DESC" "$NAME"
-        if running ;  then
-            log_progress_msg "running"
-            log_end_msg 0
-        else
-            log_progress_msg "apparently not running"
-            log_end_msg 1
-            exit 1
-        fi
-        ;;
-  # Use this if the daemon cannot reload
-  reload)
-        log_warning_msg "Reloading $NAME daemon: not implemented, as the daemon"
-        log_warning_msg "cannot re-read the config file (use restart)."
-        ;;
-  # And this if it cann
-  #reload)
-          #
-          # If the daemon can reload its config files on the fly
-          # for example by sending it SIGHUP, do it here.
-          #
-          # If the daemon responds to changes in its config file
-          # directly anyway, make this a do-nothing entry.
-          #
-          # log_daemon_msg "Reloading $DESC configuration files" "$NAME"
-          # if running ; then
-          #    reload_server
-          #    if ! running ;  then
-          # Process died after we tried to reload
-          #       log_progress_msg "died on reload"
-          #       log_end_msg 1
-          #       exit 1
-          #    fi
-          # else
-          #    log_progress_msg "server is not running"
-          #    log_end_msg 1
-          #    exit 1
-          # fi
-                                                                                    #;;
-
-  *)
-       N=/etc/init.d/$NAME
-       echo "Usage: $N {start|stop|force-stop|restart|force-reload|status}" >&2
-       exit 1
-       ;;
+               stop_server || errcode=$?
+               # Wait some sensible amount, some server need this
+               [ -n "$DIETIME" ] && sleep $DIETIME
+               start_server || errcode=$?
+               [ -n "$STARTTIME" ] && sleep $STARTTIME
+               running || errcode=$?
+               log_end_msg $errcode
+               ;;
+       status)
+
+               log_daemon_msg "Checking status of $DESC" "$NAME"
+               if running ;  then
+                       log_progress_msg "running"
+                       log_end_msg 0
+               else
+                       log_progress_msg "apparently not running"
+                       log_end_msg 1
+                       exit 1
+               fi
+               ;;
+               # Use this if the daemon cannot reload
+               reload)
+               log_warning_msg "Reloading $NAME daemon: not implemented, as the daemon"
+               log_warning_msg "cannot re-read the config file (use restart)."
+               exit 1
+               ;;
+       *)
+               N=/etc/init.d/$NAME
+               echo "Usage: $N {start|stop|force-stop|restart|force-reload|status}" >&2
+               exit 1
+               ;;
 esac
 
 exit 0